org.eclipse.rdf4j.query.algebra.evaluation

## Interface EvaluationStrategyFactory

- All Known Implementing Classes:
    AbstractEvaluationStrategyFactory, ExtendedEvaluationStrategyFactory, StrictEvaluationStrategyFactory

      public interface EvaluationStrategyFactory

  Factory for `EvaluationStrategy`s.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EvaluationStrategy` | `createEvaluationStrategy(Dataset dataset, TripleSource tripleSource)` Returns the `EvaluationStrategy` to use to evaluate queries for the given `Dataset` and `TripleSource`.
    `long` | `getQuerySolutionCacheThreshold()` Get the number of query solutions the `EvaluationStrategy` will keep in main memory before it attempts to sync to a temporary disk cache.
    `void` | `setQuerySolutionCacheThreshold(long threshold)` Set the number of query solutions the `EvaluationStrategy` will keep in main memory before it attempts to sync to a temporary disk cache.

- - ### Method Detail

    - #### setQuerySolutionCacheThreshold

          void setQuerySolutionCacheThreshold(long threshold)

      Set the number of query solutions the `EvaluationStrategy` will keep in main memory before it attempts to sync to a temporary disk cache. If set to 0, no disk caching will occur. EvaluationStrategies that provide no disk caching functionality are free to ignore this parameter.
      Parameters:
        `threshold` - the number of query solutions that the EvaluationStrategy can cache in main memory before attempting disk sync.

    - #### getQuerySolutionCacheThreshold

          long getQuerySolutionCacheThreshold()

      Get the number of query solutions the `EvaluationStrategy` will keep in main memory before it attempts to sync to a temporary disk cache. If set to 0, no disk caching will occur. EvaluationStrategies that provide no disk caching functionality are free to ignore this parameter.

    - #### createEvaluationStrategy

          EvaluationStrategy createEvaluationStrategy(Dataset dataset,
                                                      TripleSource tripleSource)

      Returns the `EvaluationStrategy` to use to evaluate queries for the given `Dataset` and `TripleSource`.
      Parameters:
        `dataset` - the DataSet to evaluate queries against.
        `tripleSource` - the TripleSource to evaluate queries against.
      Returns:
        an EvaluationStrategy.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.